defineProperty("AP", globalProperty("sim/cockpit2/autopilot/flight_director_mode"))
defineProperty("AT", globalProperty("sim/cockpit2/autopilot/autothrottle_enabled"))
defineProperty("L_N2_speed",globalProperty("sim/cockpit2/engine/indicators/N2_percent[0]")) 
defineProperty("R_N2_speed",globalProperty("sim/cockpit2/engine/indicators/N2_percent[1]"))
defineProperty("L_fadec",globalProperty("sim/cockpit2/engine/actuators/fadec_on[0]"))
defineProperty("R_fadec",globalProperty("sim/cockpit2/engine/actuators/fadec_on[1]"))
defineProperty("ThrotMax",globalProperty("sim/aircraft/engine/acf_throtmax_FWD"))


function update()

if get(AT) < 0 then
set(AT, 0)
end

if get(AP) >= 1 and get(AT) == 1 then
set(L_fadec, 1)
set(R_fadec, 1)
set(ThrotMax, 1.0)
end

if get(AT) == 0 then
set(L_fadec, 0)
set(R_fadec, 0)
set(ThrotMax, 1.2)
end

if get(AP) == 0 then
set(L_fadec, 0)
set(R_fadec, 0)
set(ThrotMax, 1.2)


end
end